// vector.cpp - Definición de la clase Vector
#include <iostream>
#include "vector.h"
using namespace std;

// Constructor
Vector::Vector(int ne) : vector(ne) {}

// Operador de indexación
double& Vector::operator[](int i) const
{
  return vector[i];
}

void Vector::iniciar()
{
  cout << "iniciando el vector...\n";
  for (int i = 0; i < vector.longitud(); i++)
    vector[i] = 0;
  // Para simular que ocurre una excepción permita que se ejecute:
  // throw "excepción inesperada";
}

int Vector::longitud() const
{
  return vector.longitud();
}

